//Datei: minihart.h 
//
// hk@holger-klabunde.de 
// www.holger-klabunde.de 
//19.01.2001
//Compiler CC5x

#ifndef MINIHART_H
#define MINIHART_H

//Sonderzeichen alle in einem Byte an Adresse 12
//Im Programm als fnfte Anzeigestelle definiert !
//D7 Minuszeichen
//D6
//D5 Pluszeichen
//D4
//D3 Grad Fahrenheit
//D2 Grad Celsius
//D1 Doppelpunkt zwischen Stelle 2 und 3
//D0

#define SG_A	 0x20 //Segment A
#define SG_B	 0x80 //Segment B
#define SG_C	 0x40 //Segment C
#define SG_D	 0x08 //Segment D
#define SG_E	 0x02 //Segment E
#define SG_F	 0x04 //Segment F
#define SG_G	 0x10 //Segment G

//Lass mal den Compiler die Ziffern berechnen :)
#define D_0	SG_A+SG_B+SG_C+SG_D+SG_E+SG_F
#define D_1	SG_B+SG_C
#define D_2     SG_A+SG_B+SG_G+SG_E+SG_D
#define D_3	SG_A+SG_B+SG_C+SG_D+SG_G
#define D_4	SG_F+SG_G+SG_B+SG_C
#define D_5	SG_A+SG_F+SG_G+SG_C+SG_D
#define D_6	SG_A+SG_F+SG_G+SG_C+SG_D+SG_E
#define D_7	SG_A+SG_B+SG_C
#define D_8	SG_A+SG_B+SG_C+SG_D+SG_E+SG_F+SG_G
#define D_9	SG_A+SG_B+SG_C+SG_D+SG_G+SG_F

#define SG_DP	 0x01 //Segment Dezimalpunkt

#endif
